/* REXX Script: creating WPS objects for JRescuer */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

foldername="JRescuer"
homepage = "How to use JRescuer"
docdir="DOCUMENTATION" 
junename = "JUne"
jrescuername = "JRescuer"
regname = "Registration"
junereadme = "JUne readme"
jrescuerreadme = "JRescuer readme"

Parse arg dir

if dir="" then dir = directory()
rc=directory(dir)

rc=SysCreateObject("WPFolder",foldername,"<WP_DESKTOP>",,
                   "OBJECTID=<JRESCUERFOLDER>;OPEN=Default;ICONVIEWPOS=18 45 60 26;","REPLACE" )

PRGOPTION="EXENAME="||dir||"\June.exe;OBJECTID=<JUNE_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",junename,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="EXENAME="||dir||"\JRescuer.exe;OBJECTID=<JRESCUER_EXE>;STARTUPDIR="||dir||";"
rc=SysCreateObject("WPProgram",jrescuername,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
rc=SysCreateObject("WPUrl",homepage,"<JRESCUERFOLDER>",,
                   "OBJECTID=<JRESCUERHOMEPAGE>;URL=http://en.ecomstation.ru/showarticle.php?id=91;","REPLACE" )
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||"\jrescuer.eng;OBJECTID=<JRESCUERREADME>"
rc=SysCreateObject("WPShadow",jrescuerreadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
                   
PRGOPTION="SHADOWID="||dir||"\"||docdir||"\june.eng;OBJECTID=<JUNEREADME>"
rc=SysCreateObject("WPShadow",junereadme,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")

PRGOPTION="SHADOWID="||dir||"\"||docdir||"\registration.doc;OBJECTID=<JRESCUERREGISTRATION>"
rc=SysCreateObject("WPShadow",regname,"<JRESCUERFOLDER>",PRGOPTION,"REPLACE")
               

